#
# spec file for package albert
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           albert
Version:        0.8.10
Release:        1.1
Summary:        Desktop agnostic launcher
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://github.com/ManuelSchneid3r/albert
Source:         https://github.com/ManuelSchneid3r/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core) >= 5.2
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2
BuildRequires:  pkgconfig(Qt5Network) >= 5.2
BuildRequires:  pkgconfig(Qt5Svg) >= 5.2
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2
BuildRequires:  pkgconfig(muparser)

%description
Access everything with virtually zero effort. Run applications,
open files or their paths, open bookmarks in your browser, search
the web, calculate things and a lot more.

%prep
%setup -q

%build
%cmake \
  -DCMAKE_SHARED_LINKER_FLAGS=""
make %{?_smp_mflags}

%install
%cmake_install

# Libraries should not be in /usr/share/.
mkdir -p %{buildroot}%{_libdir}/%{name}/
mv -f %{buildroot}%{_datadir}/%{name}/plugins/ %{buildroot}%{_libdir}/%{name}/plugins/
ln -s %{_libdir}/%{name}/plugins/ %{buildroot}%{_datadir}/%{name}/plugins

%suse_update_desktop_file %{name} Utility DesktopUtility

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Sat Jul 23 2016 sor.alexei@meowr.ru
- Update to version 0.8.10:
  * No changelog available.
* Sat May 28 2016 sor.alexei@meowr.ru
- Update to version 0.8.9:
  * No changelog available.
* Wed May  4 2016 sor.alexei@meowr.ru
- Update to version 0.8.8.
* Mon Apr 25 2016 p.drouand@gmail.com
- Update to version 0.8.7.2
  * No changelog available
- Add pkgconfig(Qt5Svg) requirement; new upstream dependency
* Mon Nov 23 2015 sor.alexei@meowr.ru
- Initial package.
